Entra Id Assignments - Update
Met à jour les attributions d’accès Entra en bloc.
PATCH {endpoint}/access/entra/assignments?api-version=2025-03-02-preview
Paramètres URI
| Nom | Dans | Obligatoire | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (url) |
Ressource de communication, par exemple https://my-resource.communication.azure.com |
|
api-version
|
query | True |
string |
Version de l’API à appeler. |
Corps de la demande
Media Types: "application/merge-patch+json"
| Nom | Type | Description |
|---|---|---|
Réponses
| Nom | Type | Description |
|---|---|---|
| 200 OK |
Succès |
|
| 204 No Content |
Aucun contenu |
|
| Other Status Codes |
Erreur |
Exemples
Update Assignments
Exemple de requête
PATCH https://my-resource.communication.azure.com/access/entra/assignments?api-version=2025-03-02-preview
{
"b27b64b9-39d2-44a3-869d-67700b74e805": {
"tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
"principalType": "user",
"clientIds": [
"617d08b5-f35b-4270-87d6-56833d2dee1b"
]
},
"eaf4bdca-9343-492B-a5e2-9310fbe393b8": null,
"fd63f3cb-3731-4d15-8e47-9d062aba58c5": {
"tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
"principalType": "user",
"clientIds": [
"617d08b5-f35b-4270-87d6-56833d2dee1b"
]
}
}
Exemple de réponse
{
"value": [
{
"objectId": "b27b64b9-39d2-44a3-869d-67700b74e805",
"tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
"principalType": "user",
"clientIds": [
"617d08b5-f35b-4270-87d6-56833d2dee1b"
]
},
{
"objectId": "fd63f3cb-3731-4d15-8e47-9d062aba58c5",
"tenantId": "c70d068c-2f32-484d-9455-73070cd5aadd",
"principalType": "user",
"clientIds": [
"617d08b5-f35b-4270-87d6-56833d2dee1b"
]
}
]
}
Définitions
| Nom | Description |
|---|---|
|
Communication |
Erreur Communication Services. |
|
Communication |
Erreur Communication Services. |
|
Entra |
|
|
Entra |
|
|
Entra |
|
|
Entra |
CommunicationError
Erreur Communication Services.
| Nom | Type | Description |
|---|---|---|
| code |
string |
Code d’erreur. |
| details |
Plus d’informations sur les erreurs spécifiques qui ont conduit à cette erreur. |
|
| innererror |
Erreur interne le cas échéant. |
|
| message |
string |
Message d’erreur. |
| target |
string |
Cible d’erreur. |
CommunicationErrorResponse
Erreur Communication Services.
| Nom | Type | Description |
|---|---|---|
| error |
Erreur Communication Services. |
EntraAssignment
| Nom | Type | Description |
|---|---|---|
| clientIds |
string[] |
|
| objectId |
string |
|
| principalType | ||
| tenantId |
string |
EntraAssignmentCreateOrUpdateRequest
| Nom | Type | Description |
|---|---|---|
| clientIds |
string[] |
|
| principalType | ||
| tenantId |
string |
EntraAssignmentsResponse
| Nom | Type | Description |
|---|---|---|
| nextLink |
string |
|
| value |
EntraPrincipalType
| Valeur | Description |
|---|---|
| user | |
| group | |
| tenant |